using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web;
using System.Data;
using System.Data.SqlClient;

using Sybase.DataWindow;
using TXSoft.Common;
using TXSoft.ExtPB;
using TXSoft.DataStore;


namespace A8ERP.CaiWu.TiaoZhengHeFeiYongDan
{
    public partial class W_YingShouKuanTZD
    {
        public W_YingShouKuanTZD()
        {

        }
        public override void OnLoad()
        {
            base.OnLoad();

            A8ERP.Common.DWServiceHelp.AddReportService(dw_1);
            this.SetParm("FunctionID", this.FunctionID);

            DataWindowChild dwc = dw_1.GetChild("dqzt");
            dwc.SetTransaction(this.AdoTransaction);
            dwc.Retrieve(this.FunctionID);

            dw_fhjb.DataStore.DataWindowObject = "dw_da_qx_fhjb_by_cdbh";
            dw_fhjb.SetTransaction(this.AdoTransaction);
            dw_fhjb.Retrieve(this.FunctionID);

            dwc = dw_1.GetChild("tzxz");
            dwc.SetTransaction(this.AdoTransaction);
            dwc.Retrieve("cw_tzxz");

            dw_1.Retrieve();

            if (this.Page != null)
            {
                this.Page.ClientScript.RegisterClientScriptInclude("W_YSKTZD_Edit", "/CaiWu/TiaoZhengHeFeiYongDan/W_YSKTZD_Edit.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_YingShouKuanTZD", "/CaiWu/TiaoZhengHeFeiYongDan/W_YingShouKuanTZD.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("OpenWindowQueryBase", "/DangAn/Base/OpenWindowQueryBase.win.js?JSV=" + AppService.GetJSVesion());
            }
            this.IsRegisterScriptFile = false;
        }
    }
}
